@echo off
REM Basispfad des Setup-Satzes, in dem sich GhostScript (gs\*.*) und FreePDF XP (fp\*.*) befindet:
Set fpDir=\FreePDF\Autosetup

REM Diese Batch Datei setzt voraus, dass FreePDF XP in ein Verzeichnis 
REM %fpDir%\fp entpackt wurde. Auerdem muss GhostScript
REM in ein Verzeichnis %fpDir%\gs entpackt worden
REM sein:
REM 
REM CD-ROM
REM |
REM L FreePDF
REM   L Autosetup
REM     L fp  (Entpackte FreePDF Dateien)
REM     L gs  (Entpackte GhostScript Dateien und Unterverzeichnisse)
REM       L Fonts
REM       L gs8.xx


REM Nur auf einem Windows NT ausfhren:
if Win9x%os%==Win9x goto ende

REM Ist GhostScript installiert?

%fpDir%\fp\fpsetup.exe /IsGhostScriptInstalled 8.14
if %errorlevel%==0 (
	echo Installiere GhostScript
	cd %fpDir%\gs
	%fpDir%\gs\setupgs.exe %programfiles%
	)

Echo Installiere FreePDF...
cd  %fpDir%\fp
%fpDir%\fp\fpsetup.exe /q
goto Step%errorlevel%

:Step15
cd ..
cd gs
echo.
Echo Abbruch: GhostScript nicht gefunden
pause
goto Ende

:Step4
Echo Abbruch: Quelldatei nicht gefunden.
pause
goto Ende

:Step5
Echo Abbruch: Zugriff verweigert. Sind Sie Administrator auf diesem Computer?
pause
goto Ende

:Step6
Echo Abbruch: Laufwerk nicht gefunden.
pause
goto Ende

:Step10
Echo Abbruch: FreePDF XP ist nicht unter Windows 9x lauffhig
pause
goto Ende

:Step11
Echo Abbruch: FreePDF XP kann nicht unter Windows NT installiert werden, wenn 
echo nicht bereits der Druckertreiber Apple Color LW 12/660 installiert ist.
pause
goto Ende

:Step40
Echo Abbruch: Programme-Verzeichnis konnte nicht erstellt werden. Sind Sie Administrator?
pause
goto Ende

:Step110
Echo Abbruch: Fehler beim ermitteln der Drucker Konfiguration.
pause
goto Ende

:Step1000
Echo Abbruch: Benutzer hat Setup abgebrochen.
pause
goto Ende

:Step0
Echo Setup erfolgreich.




REM Checke Acrobat Reader
%fpDir%\fp\fpsetup.exe /IsAcrobatInstalled
if %errorlevel%==0 (
	echo Kein Acrobat Reader installiert!
	pause
	)

REM Checke altes FreePDF
%fpDir%\fp\fpsetup.exe /IsFreePDFInstalled
if %errorlevel%==1 (
	echo Altes FreePDF ist noch installiert!
	pause
	)

Echo - - - - - - - - - - - - - -

:Ende
