@echo off
REM Variablen fr die Batch Datei:
Set UNCPath=\\mbalv004\tools
set Log=\\mbalv004\temp\fpSetup.log

REM Diese Batch Datei setzt voraus, dass FreePDF XP in ein Verzeichnis 
REM \\Server\Freigabe\freepdf\AutoSetup\fp entpackt wurde. Auerdem muss GhostScript
REM in ein Verzeichnis \\Server\Freigabe\freepdf\AutoSetup\gs entpackt worden
REM sein.

REM Nur auf einem Windows NT ausfhren:
goto Setup%OS%
:Setup
Goto ende
:SetupWindows_NT

REM Laufwerk C: einstellen, da eine Batch-Datei nicht von einem UNC Pfad
REM lauffhig ist
c:
cls
echo FreePDF XP Setup - bitte nicht unterbrechen!

Echo %computername% - - - - - - - - - - - - - - ->>%log%
Echo %computername% - Beginne FreePDF XP Setup>>%log%
Echo %computername% - Freies Netzlaufwerk suchen:>>%log%

set Driveletter=z:
dir %Driveletter%
if %errorlevel%==1 goto NetUse
set Driveletter=y:
dir %Driveletter%
if %errorlevel%==1 goto NetUse
set Driveletter=x:
dir %Driveletter%
if %errorlevel%==1 goto NetUse
set Driveletter=w:
dir %Driveletter%
if %errorlevel%==1 goto NetUse
set Driveletter=v:
dir %Driveletter%
if %errorlevel%==1 goto NetUse
set Driveletter=u:
dir %Driveletter%
if %errorlevel%==1 goto NetUse
set Driveletter=t:
dir %Driveletter%
if %errorlevel%==1 goto NetUse
set Driveletter=s:
dir %Driveletter%
if %errorlevel%==1 goto ende

:NetUse
REM Netzlaufwerk verbinden:
cls
echo FreePDF XP Setup - bitte nicht unterbrechen!

net use %Driveletter% %UNCPath% /Persistent:no
%Driveletter%
cd %Driveletter%\freepdf\AutoSetup\fp
cls
echo FreePDF XP Setup - bitte nicht unterbrechen!

echo %computername% - Laufwerk %driveletter% wird verwendet>>%log%


%Driveletter%\freepdf\AutoSetup\fp\fpsetup.exe /IsGhostScriptInstalled 8.14
if %errorlevel%==0 (
	echo %computername% - Installiere GhostScript>>%log%
	cd %Driveletter%\freepdf\AutoSetup\gs
	%Driveletter%\freepdf\AutoSetup\gs\setupgs.exe C:\Programme
	)

Echo %computername% - Installiere FreePDF...>>%Log%
cd  %Driveletter%\freepdf\AutoSetup\fp
start /min /wait %Driveletter%\freepdf\AutoSetup\fp\fpsetup.exe /q
goto Step%errorlevel%

:Step15
cd ..
cd gs
echo.
Echo %computername% - Abbruch: GhostScript nicht gefunden>>%Log%
goto Ende

:Step4
Echo %computername% - Abbruch: Quelldatei nicht gefunden.>>%Log%
goto Ende

:Step5
Echo %computername% - Abbruch: Zugriff verweigert. Sind Sie Administrator auf diesem Computer?>>%Log%
goto Ende

:Step6
Echo %computername% - Abbruch: Laufwerk nicht gefunden.>>%Log%
goto Ende

:Step10
Echo %computername% - Abbruch: FreePDF XP ist nicht unter Windows 9x lauffhig>>%Log%
goto Ende

:Step11
Echo %computername% - Abbruch: FreePDF XP kann nicht unter Windows NT installiert werden, wenn >>%Log%
echo %computername% - nicht bereits der Druckertreiber Apple Color LW 12/660 installiert ist.>>%Log%
goto Ende

:Step40
Echo %computername% - Abbruch: Programme-Verzeichnis konnte nicht erstellt werden. Sind Sie Administrator?>>%Log%
goto Ende

:Step110
Echo %computername% - Abbruch: Fehler beim ermitteln der Drucker Konfiguration.>>%Log%
goto Ende

:Step1000
Echo %computername% - Abbruch: Benutzer hat Setup abgebrochen.>>%Log%
goto Ende

:Step0
Echo %computername% - Setup erfolgreich.>>%Log%
Echo %computername% - - - - - - - - - - - - - - ->>%log%



REM Checke Acrobat Reader
%Driveletter%\freepdf\AutoSetup\fp\fpsetup.exe /IsAcrobatInstalled
if %errorlevel%==0 (
	echo %computername% - Kein Acrobat Reader installiert!>>%Log%
	)

REM Checke altes FreePDF
%Driveletter%\freepdf\AutoSetup\fp\fpsetup.exe /IsFreePDFInstalled
if %errorlevel%==1 (
	echo %computername% - Altes FreePDF ist noch installiert!>>%Log%
	)

:Ende
c:
cd \
net use %Driveletter% /del
